{% extends 'admin/base.html.twig' %}

{% block stylesheets %}
    {{ encore_entry_link_tags('app_admin_generation_by_query') }}
{% endblock %}

{% block body %}
    {% include 'admin/views/title.html.twig' with {name: 'Generation', description: 'Thesis Generation Engine'} %}
    {% include 'admin/views/submenu.html.twig' with {submenu: menu.submenu} %}
    <form class="form" data-controller="admin--generation--by-query--base" method="get">
        <div class="sub-block">
            <div class="form__item">
                <label for="query" class="form__label">Query</label>
                <input id="query" type="text" class="form__input" name="query" value="{{ app.request.get('query') }}"/>
            </div>
        </div>
        <div class="sub-block">
            <table class="table-list">
                <thead class="table-list__head">
                <tr>
                    <td>Service</td>
                    <td>Created</td>
                    <td>Action</td>
                </tr>
                </thead>
                <tbody class="table-list__body">
                {% for generationItem in generation %}
                    <tr class="table-list__row">
                        <td><a href="{{ generationItem.link }}" target="_blank">{{ generationItem.title }}</a></td>
                        <td>{{ generationItem.count }}</td>
                        <td>
                            <a href="{{ path('app_admin_thesis_create') }}?generationId={{ generationItem.id }}" class="form__btn btn-green" target="_blank">+</a>
                        </td>
                    </tr>
                {% endfor %}
                </tbody>
            </table>
        </div>
        <div class="sub-block">
            <div class="form__action">
                <input type="submit" class="form__btn btn-blue" value="Generate"/>
            </div>
        </div>
    </form>
{% endblock %}

{% block javascripts %}
    {{ encore_entry_script_tags('app_admin_generation_by_query') }}
{% endblock %}